Skip to main content
POST
/
v1
/
conversations
/
{id}
/
messages
Enviar mensagem
curl --request POST \
  --url https://api.timelyai.com.br/v1/conversations/{id}/messages \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "content": "<string>",
  "sender_type": "agent",
  "message_type": "text",
  "media_url": "<string>",
  "media_type": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "content": "<string>",
    "sender_type": "customer",
    "message_type": "text",
    "media_url": "<string>",
    "media_type": "<string>",
    "is_edited": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Chave de API obtida no dashboard

Path Parameters

id
string<uuid>
required

ID da conversa

Body

application/json
content
string
required
Required string length: 1 - 65535
sender_type
enum<string>
default:agent
Available options:
customer,
agent,
ai,
system,
bot
message_type
enum<string>
default:text
Available options:
text,
image,
file,
audio,
video
media_url
string<uri>
media_type
string

Response

Mensagem enviada

data
object